# SDA

This provides a simplified interface to the DA distributed array object in PETSc. This is intended for people who are NOT using PETSc vectors or objects but just want to distribute simple rectangular arrays amoung a number of procesors and have PETSc handle moving the ghost-values when needed.

### Synopsis

    typedef struct _n_SDA* SDA;

In certain applications this can serve as a replacement for BlockComm (which is apparently being phased out?).

### See Also

SDACreate1d(), SDACreate2d(), SDACreate3d(), SDADestroy(), DA, SDALocalToLocalBegin(),
SDALocalToLocalEnd(), SDAGetCorners(), SDAGetGhostCorners()

Level:beginner
Location: src/dm/da/../../../include/petscda.h
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages